02.02
	
01.31 1.0.0 Beta Version

01.23
	- 能力値が設定できないバグ除去
2025
12.25
	- MessageTable ダイアログを開くたびにスクリプト挿入パネルが増えるバグ除去
06.27
	+ 06.15 のバージョンで計算式が正しく取得できないバグ除去
06.18
	* アイテム在庫数が255の場合や名前がない場合、Save.xml に保存されないように修正
	- キャンプの「そうび」でエラーが発生するバグ除去
06.15
	+ トラップの対象に無しを追加
	* ワープ時に１フレームの間を入れないように変更
	* ワープイベントの移動先座標にワープイベントがある場合、実行しないように変更
	- 玄室に設定した敵がデフォルトの場合、敵が出現しなくなるバグ除去
	- スクリプトの Array.length() を Array.length と括弧なしで使用できるように修正
	- タイルの設定でスクリプトのヘッダーが空欄でフッターがある場合、フッターがヘッダー位置にあるものとして実行されるバグ除去
05.17
	+ システムの設定に先制確率と不意打ち確率の計算式を追加
	+ 玄室とエリアに呪文使用不可と道具使用不可を設定できる機能追加
	* 玄室とエリアを同一の番号を設定できるように変更
	* Languages/Japanese.xml, English.xml を修正
	* Resources/StringTable.xml, StringTable2.xml を修正
2024
10.24
	* Item データを1000まで拡張できるように変更
08.15
	* Skill と Enemy データを1000まで拡張できるように変更
	* ItemTable の入手アイテムをインデックス値ではなく ID になるように xml の仕様を変更
	- エディタでマップの幅や高さを変更した場合、Game.exe でマップの履歴が正しく保存されないバグ除去
01.17
	- SP のスクリプトで msg などウィンドウ表示がある場合、酒場で SP 発動が無効になるバグ除去
01.15
	+ Scripts/Formula.txt に訓練場でのボーナスポイントを計算する TrainingGrounds_bonusPoints() を追加
	* 訓練場でのボーナスポイント計算式を変更
	- システムメニューの設定、Enemy Log、Item Log を開いている時にリセットするとウィンドウが残ってしまうバグ除去
01.11
	- Enemy Log で未遭遇の敵が表示されてしまい、遭遇した敵の倒した数が１になってしまうバグ除去
01.07
	- Game.exe 右クリックメニュー > Reload Database で読み込むとアイテムとエネミーのログが消えるバグ除去
	* Languages/Japanese.xml, English.xml を修正
2023
12.30
	- 地図に非アクティブのイベントが表示されてしまうバグ除去
	- 地図上の１マスに複数イベントがある場合、イベント名が表示されなくなるバグ除去
12.29
	+ エネミーデータベースに説明を設定する項目追加
	+ Enemy Log に説明欄の表示切替機能追加
	+ 画面中央下部にマウスカーソルを持っていくと表示されるコントローラに Menu, L, R ボタンを追加
	- メッセージウィンドウの1行が３行以上に自動改行される時に画面外に出てしまうバグ除去
	* 装備画面で属性の漢字を表示しないように変更
	* Resources/StringTable.xml, StringTable2.xml を修正
12.23
	+ スクリプトに Battler.paramBase() を追加
	+ ★スクリプトデータベースに Item Log の表示で使用される SP の第二言語を追加(未設定の場合第一言語を使用)
	- キャンプを閉じた後にイベントが発生した場合パーティウィンドウが表示されたままになるバグ除去
	* Item Log に使用時のスキルとSPを表示するように修正
	* 寺院蘇生時で能力値補正の影響を除外するように変更
	* 宿屋レベルアップ時のHP上昇で能力値補正の影響を除外するように変更
12.22
	+ Scripts/Formula.txt に寺院での治癒率を計算する Temple_cureRate() を追加
12.21
	- Enemy Log で入手アイテムが一つ少なく表示されるバグ除去
	- Enemy Log でアイテムを落とさない敵のアイテムリスト表示中に決定ボタンを押下するとエラーが発生するバグ除去
12.21
	+ システムメニュー > Item Log を追加
	+ システムメニュー > Enemy Log を追加
	+ ★アイテムデータベースにログに登録するかを設定する項目追加
	+ ★エネミーデータベースにログに登録するかを設定する項目追加
	+ Battler.param() に呪文無効化率を取得する "mrr" 追加
	+ 種族データベースにマーカー機能追加
	* スキルの低効率計算式が設定されている場合、対象の呪文無効化率判定・種族や装備による状態抵抗をスキップするように変更
	* Location にマップ名が表示されるように修正
	* Languages/Japanese.xml, English.xml を修正
	* Resources/StringTable.xml, StringTable2.xml を修正
12.16
	+ スクリプトの PlayerCharacter に learnSkill() と forgetSkill() を追加
	- キャンプ > 装備で抵抗が正しく表示されないバグ除去
	- キャンプ > 呪文で LR 切り替え時、使用できない呪文が選択不可状態にならないバグ除去
	- NPC との会話が未読の場合でもメモに項目が表示されてしまうバグ除去
	- NPC との会話や msg で行頭に 「\t」があり「―」が連続する場合に表示がずれてしまうバグ除去
	* Resources/BuiltinClass.xml を更新
12.13
	+ エディタにマップ自動生成機能追加
	* 床天井の陰影が壁と同じ陰影になるように修正
12.07
	- onCamp() で SceneManager.camp() を実行中に SP 発動が無効になるバグ除去
12.06
	+ スクリプトの Battler に addState() と removeState() を追加
12.05
	+ キャンプ > 装備で耐性を表示する機能追加
	+ キャンプ > 呪文で種別を LR ボタン押下で切り替える機能追加
	+★ Graphics/System/Controller に lb.png, rb.png, lb32.png, rb32.png を追加
	+ スクリプトに SceneManager.camp() を追加
	+ ★Scripts/Maze.txt に onCamp(areaName) を追加
12.01
	+ NPC との会話速度を設定できる機能をシステムメニューに追加
11.29
	+ 総プレイ時間を表示する機能をシステムメニューに追加
	* 被攻撃時、状態異常回復が回復し、状態異常攻撃かレベルドレインされた場合にメッセージが改行されないのを修正
	* NPC との会話で文字送りの矢印アイコンが表示されなくなっていたのを修正
	- ダンジョンから戻り、再度ダンジョンに入り、即冒険を中断し冒険を再開すると、ダンジョンから戻った時の方向を向いてしまうバグ除去
11.17
	* アイテムを渡すときに所持数、装備可能かを表示するように変更
	* レベルが戦闘中に下げられた状態で勝利した場合、レベルが下げられたと表示されるように修正
	* ★戦闘中の敵味方パーティやACへのバフかつダイス目が1以下で固定値になる場合、メッセージを表示しないように修正
	- パーティへの持続スキルが使用された場合にメッセージが表示されないバグ除去
	- 見えない壁の両側からマップを埋めてない場合、地図に表示されなくなるバグ除去
	- 薬などに装備できるクラスが設定されている場合、装備できてしまうバグ除去
	- 装備できないアイテムの SP がステータス画面で使用できてしまうバグ除去
	- リセット時にエラーが発生する可能性がある箇所を１つ除去
11.07
	+ Game.exe 内で使用する計算式などをまとめた Scripts/Formula.txt を追加
	+ ★Game.exe 内で使用する操作ボタン表示などで使用する Graphics/System/Controller フォルダを追加
	* ★味方に使用するスキルの場合、属性有効度が反映されないように修正
11.05
	+ Game.exe で開いたマップが画面に収まらない場合、△ボタンでスケーリングできる機能追加
11.02
	- ★.dat 形式の動画ファイルが再生できないバグ除去(Unity 版では未対応の為拡張子を書き戻してください)
	- エディタの MessageTable 編集で \n などがハイライトされないバグ除去
10.29
	* ★NPC にアイテムを渡す時、イベントが既読の場合でもアイテムが一致するならイベントを実行するように変更
	- ACが-10以下時、LOと表示されるように修正
	- キャンプ画面で身動きができないキャラが呪文を使用できてしまうバグ除去
10.21
	- 複数の異常状態がある攻撃のとき「効果がない」と表示されてしまうバグ除去
10.20
	+ ★戦闘中に Ctrl+D で計算式のデバッグをする機能追加
	- 戦闘終了後のアイテム範囲の開始位置が一つずれるバグ除去
10.16
	- レベルアップ時にMPの最大値が上昇しないバグ除去
10.15
	+ ステータス画面に「せいとん」メニュー項目を追加
	* ステータス画面からSP付きアイテムを装備する場合、SPを使用するか確認するように修正
	- 戦闘中のメッセージで不要な改行が表示されるバグ除去
10.03 Unity
	+ デバッグ機能追加
	- マップレベルがデフォルトの場合にピットが機能しなくなるバグ除去
	- Game.ini に言語設定が保存されないバグ除去
	- アスペクト比変更時に画面が乱れるバグ除去
10.01 Unity
	- SE が正常に再生できないバグ除去
	- MIDI ファイル再生時にエラーが発生するバグ除去
	- GameData.gamedata のマップが読み取れないバグ除去
09.30 Unity
	+ Game.exe を Unity バージョンにして公開
09.11
	- キャンプ中で対象が自己のスキルが使えないバグ除去
	- 装備で未識別アイテムの能力値変化が表示されてしまうバグ除去
	- TypeDatabase.xml の形式が正しくないバグ除去
	- NPC との戦闘前に表示されるメッセージがノベル形式の場合、敵が既定のものとなってしまうバグ除去
	- NPC データベースでメッセージ一覧のメッセージがノベル形式の場合、テキスト列が更新されないバグ
06.10
	+ ★システムデータベースに Data/Save.xml のバージョン名を設定できる機能追加
	+ ★データベースに VersionControl を追加 (Data/VersionControls.xml に保存されます)
	+ スクリプトに PlayerCharacter.gainGold() と PlayerCharacter.removeItemAt() を追加
05.24
	+ ダンジョンの遠景を背景色で塗りつぶすかを設定できる機能追加
	- 現在マップのエリアに「テレポートでの侵入阻害」が設定されている場合、他のマップの同一座標にテレポートできなくなるバグ除去
05.22
	+ ★レイヤー１のタイル番号とイベントのタイル番号を同期する機能追加
	- イベントタイルの画像幅が256ピクセルより大きい場合、描画されなくなるバグ除去
	- 暗闇の描画ができないバグ除去
05.10
	* NPC のノベルスクリプト内でシーンが変更された場合、NPC の会話を終了するように変更
05.08
	+ エリアに「テレポートでの侵入阻害」項目を追加
	- エリアの編集をするとエリア全てに同一の設定が適用されてしまうバグ除去
	- NPC のゴールドとアイテムを渡すイベントでフラグの値が参照されないバグ除去
04.28
	+ スクリプトに PlayerCharacter.gainMp() を追加
04.23
	+ 壁イベントのテクスチャに対応
04.14
	+ ★スクリプトの Effect.snowfall() のパラメータに log キーがあればログを出力する機能追加
04.12
	* スクリプトの Effect.snowfall() の処理速度を改善
04.08
	* スクリプトの Effect.snowfall() が画面内に描画されるように修正
	* スクリプトの Effect.snowfall() の戻り値を変更
04.07
	+ ★エディタのプロジェクトエクスポートで、Graphics フォルダ内の拡張子を変更して出力する機能追加
04.04
	+ スクリプトに NpcDatabase クラスを追加
	+ スクリプトに Window クラスを追加
04.03
	* エディタの表示マスを 25*25 から 50*50 に変更
	* MessageTable データベースをモードレスダイアログに変更
	* msg などでダッシュ文字が連続した場合、つなげて表示されるように変更
	* ★戦闘勝利時 BGM の fanfare が OGG ファイルでループ設定がある場合、ループ再生するように変更
	- 扉と壁のテクスチャ合成でアルファ値が反映されないバグ除去
04.01
	+ ★msg などで使用する制御文字に font タグを追加
	+ MessageTable ダイアログに挿入ボタンを追加
03.28
	* ダンジョン中で背景画像のアスペクト比を維持する場合、縦方向が長い場合は横に引き延ばして描画するように変更
03.27
	+ スクリプトに Dictionary クラスを追加
	+ スクリプトの Effect クラスに snowfall() を追加
03.26
	+ ★ダンジョン中で背景画像のアスペクト比を維持する機能追加
	- ダンジョン中で背景画像が反転されないバグ除去
03.25
	+ アイテムとエネミーのデータベースに種族攻撃などの特徴を設定できる機能追加
	+ エネミーデータベースにマーカー機能追加
03.20
	- 戦闘終了時に入手する宝箱に罠が設定されていない場合、例外が発生するバグ除去
	- レベルドレインで状態異常が発生する場合、状態異常の内容が表示されないバグ除去
03.19
	+ ★msg などで使用する制御文字に効果音を再生する playbgm, playbgs タグを追加
	* ★スクリプトからレベルを設定する場合、経験値も連動するように変更
	- 必要経験値の値が正しく取得できないバグ除去
03.18
	+ 友好的な敵に対応
03.16
	* msg と NPC のテキストで同一の制御文字が使用できるように変更
03.15
	+ msg などで使用する制御文字に効果音を再生する playse タグを追加
 	- 効果音再生時に音が途中で切れてしまうバグ除去
03.13
	* xaudio2 を使用して効果音と OGG ファイルを再生するように変更
03.12
	- 03.10の変更で効果音が正しく再生されないことがある為、ファイルから再生するように変更
03.10
	* 効果音を再生するとき、ファイルからでなくメモリから再生するように変更
03.08
	+ スクリプトに PlayerCharacter.gainExp() を追加
	+ スクリプトに PartyStatusWindow.show() と PartyStatusWindow.hide() を追加(町のシーン以外では動作しないこともあります)
	* ★性別を性格に変更
03.06
	+ 呪文を４種類まで設定できる機能追加
	+ エディタのデータベースメニューに「タイプデータベースを開く」を追加
03.01
	- NPC データベースで条件の一部が表示されないバグ除去
02.28
	+ BattleManager クラスを追加
	+ NPC のメッセージタイプに On Fight を追加
	+ NPC に「たたかう」メニューを追加
	* Player.encounter() の戻り値を変更
02.24
	* イベントタイル設定でテクスチャが設定されている場合、「ダンジョン中で表示」にチェックが入っていなくても表示されるように修正
	* NPC が立ち去るときのメッセージが表示されないバグ除去
	* NPC・エネミー画像の下端描画位置を白枠線下部ではなく床の下部に合わせるように修正
02.19
	+ スクリプトに System.resetFlags() を追加
	- Math.randomInt() の最小値が１多くなるバグ除去
02.18
	+ Audio/SE に寺院で寄付を収めた時に再生される murmur-chant-pray-invoke.mp3 を追加
	+ msg にメッセージを 0.25 秒ウェイトさせる特殊文字「\.」を追加
	+ msg にメッセージのページを自動で切り替える特殊文字「\^」を追加
	+ Battler に canMove() を追加
	+ スクリプトとノベルスクリプトのデータベースにマーカー機能追加
	* Player.setLocation で空文字を指定した場合、即座にパーティを町に移動させるように修正
	　MURMUR-CHANT-PRAY-INVOKE にウェイトを加えるなど修正
	- フラグデータベースの末尾にあるフラグ値が保存されないバグ修正
02.15
	+ デバッグに Novel Scripts を追加
02.14
	+ ドアの効果音をマップごとに設定できる機能追加
	+ ノベルスクリプトのタグに、タグの有効無効を判定する cond 属性を追加
02.12
	+ NPC データベースのメッセージ右クリックメニューで「選択解除、コピー、ペースト、クリア、削除」を追加
	* NPC データベースの UI をウィンドウサイズに応じて変更するように修正
	- StringTable の編集が保存されないバグ除去
02.11
	- 方向付きドアが正しく描画されないバグ除去
	- デバッグの転移でマップ一覧がファイル名順に並んでしまうバグ除去
02.09
	+ 床・天井イベントのテクスチャ設定機能追加
	+ 透明壁、シャッターを実装
	+ Graphics/Dungeon/wall2D.png に透明壁・シャッターを追加
	+ Scripts/Maze.txt に onShutter を追加
	+ Scripts/Maze.txt に onCollisionWithInvisibleWall を追加
	* Scripts/Maze.txt の onEncount を onEncounter に変更
	* イベントに方向がある場合、位置をずらして描画するように変更
02.06
	- フォグが無効かつ背景画像がある場合にも消失矩形を塗りつぶしてしまうバグ除去
	- 壁・床・天井などのテクスチャにアルファ値が付いている場合、表示が乱れるバグ除去
02.05
	- ダンジョンの背景画像と黒以外のフォグを設定しいる場合、表示が乱れるバグ除去
02.04
	+ ダンジョンのフォグを無効にする機能追加
	* ダンジョンでテクスチャの透過された箇所にフォグが適用され無いように修正
	* NPC でテキスト表示時、残りページがあることを示すカーソルを表示するように変更
01.31
	+ スキルにレビテーション機能追加
	+ Battler に isLevitating() を追加
	+ メッセージ表示中に言語を切り替えた場合、MessageTable に同一のテキストがあれば置換し、ページ数が同じであれば表示ページを合わせる機能追加
	+ msg でテキストを表示時、残りページがあることを示すカーソルを表示する機能追加
	* 訓練場でキャラ名入力ダイアログを開いたとき、ゲームパッドのみだと操作できなくなるのを修正
	* デバッグの MessageTable でページ数を表示すように変更
	- クリーピングコインなど仲間を呼ぶエネミーで稀にエラーが発生するバグ除去
01.29
	+ ★Game.exe の右クリックメニューに「ログを Game.log ファイルに出力する」を追加
	* 敵の行動で状態異常・HP回復呪文使用時、最も適した対象が選択されるように修正
	* アイテムに設定されたスキルが戦闘中に使用できない場合、戦闘中は非表示になるように修正
	- 酒場でアイテムが使用できてしまうバグ除去
01.27
	* エネミーテーブルのエネミーを１０固定ではなく可変長に変更
	* 行動データベースでNULLを設定した場合、NULL 以外の行動を選択するように変更
	- 戦闘でエネミーがスキルを使用できなくなっていたバグ除去
01.24
	- 商店で全ての武器が両手用と表示されてしまうバグ除去
	- 状態データベースにアイコンを設定すると属性データベースにもアイコンが設定されてしまうバグ除去
01.22
	+ Battler, Enemy クラスを追加
	+ PlayerCharacter クラスに isAlive, isDead, isEnemy, isGuard, isUndead を追加
	+ スキルデータベースに「低効率計算式」項目追加
	* Languages/Japanese.xml, English.xml を修正
	- 戦闘中アイテム使用時、異なるアイテムが使用されてしまうバグ除去
01.18
	- 訓練場でキャラ作成時、ボーナスポイントが振り分けできないバグ除去
01.17
	+ クラスデータベースに「AC 計算式」項目追加
	+ アイテムデータベースに「AC 計算式が有効」項目追加
	+ アイテムデータベースに「ブレス抵抗率」項目追加
01.16
	+ デバッグメニューに NPC と Message Table を追加
	+ アイテムに装備可能クラスのみ使用可能になる機能追加
	* クラスデータベースのスキル設定 UI を変更
	* 全アイテムでスペシャルパワーを使用できるように変更
	* 戦闘時、使用可能なアイテムだけ表示するように修正
	- NPC メッセージ表示で進行不可能になるバグ除去
	- NPC のメモ表示でエラーが発生するバグ除去
01.11
	+ スキルとアイテムのデータベースにマーカー機能追加
	* アイテムテーブルに ID を付与
	* マップ編集ダイアログで壁、床、天井のテクスチャを共有できるように変更
01.08
	+ データベースにマーカーを追加 (Data/Markers.xml に保存されます)
	+ メッセージテーブルデータベースにマーカー機能追加(マークしたい項目を右クリックしてメニューを開きマークします)
	+ PlayerCharacter.param() を追加
	* 種族に ID を付与
	- マップエディタでマップのファイル名変更時にバックスペースが機能しないバグ除去
01.05
	- スペシャルパワー使用時の挙動が正しくないバグ除去
01.03
	+ スクリプトに GameSettings クラスを追加
	+ GameSettings.setResolution() を追加 (640x480(4:3),  854x480(16:9) のみ動作確認)
	+ Graphics.getDefaultFontSize(), setSize(), drawFrame() を追加
	+ デバッグにシーン選択追加
	* 訓練場でタイトルが表示さるように変更
	* Game.ini の ResolutionRatio を使用しないように修正
	* Resources/StringTable.xml, StringTable2.xml を以下を追加するなど修正
	　<string name="Goto Training Grounds">Training Grounds</string>
	　<string name="Goto Maze">Maze</string>
	- Game.exe で NPC のメッセージ文字送り時、一行毎にしかスクロールしないバグ除去
2022
12.30
	+ データベースにタイプを追加 (Data/Types.xml に保存されます)
	+ タイプデータベースで、両手用装備、デフォルトの不確定名や装備可能クラスを設定できる機能追加
	+ 武器にサブタイプを設定できる機能追加
	+ エネミーエリアの設定でマップと同じエネミーテーブルになる「既定」項目を追加
	* エネミーエリアの設定でエリア一覧のアイテムを複数選択・設定できるように修正
	* ST値を武器以外に設定できるように変更
	* Resources/StringTable.xml, StringTable2.xml を修正
	* Languages/Japanese.xml を修正
12.11
	+ NPC で使用するノベルスクリプトの msg, menu を記録するメモ機能追加
12.03
	+ NPC データベースのメッセージに NovelScript を設定・実行できる機能追加
	+ ノベルスクリプトデータベースのエディタで Ctrl+/ で選択範囲をコメントアウトできる機能追加
	+ イベント編集ダイアログにメニューを追加
	- Game.exe で NPC のメッセージ文字送り時、一行毎にしかスクロールしないバグ除去
11.27
	+ エディタのデータベースメニューに「ノベルスクリプトデータベースを開く」を追加
	+ スクリプトに novel(NovelScript_ID) を追加
11.25
	+ スクリプトで #rrggbb 形式のカラーコードを整数値として扱う機能追加
	+ スクリプトでカラーコード入力時、下線に色が表示される機能追加
	+ エディタの表示メニューに「言語」を追加
	+ Languages フォルダの Japanese.txt, MenuJapanese.xml を削除し、Japanese.xml, English.xml を追加
	* エディタのメッセージテーブルデータベースでダイアログ幅に応じてレイアウトを変更するように修正
11.21
	* ダンジョン中スタートボタンでステータスウィンドウの開閉をするように修正
	- フルスクリーン時に Esc ボタンを押下するとフルスクリーン解除と同時にキャンセルボタンが押されてしまうバグ除去
11.19
	+ Game.exe のコンフィグにコントローラーに使うキーボードの設定機能追加
	- 動画再生時に画面をクリックするとコントローラーが効かなくなるバグ除去
	* Resources/StringTable.xml, StringTable2.xml を修正
11.16
	* アプリケーションキー(メニューキー)押下でシステムメニューが開くように修正
	* ゲームパッドの設定項目にメニューを追加し、ダンジョン中のセレクトではメニューを開かないように修正
11.15
	+ Game.exe のコンフィグにゲームパッドの設定機能追加
	* Game.exe の標準解像度を 1.6 から 2.0 に変更
	　元に戻す場合は Game.ini の ResolutionRatio=2.0 を 1.6 にしてください。
11.14
	+ Space キーとゲームパッドのボタン９にセレクトボタンを割り当て
	+ (メニューボタン導入のため廃止)ダンジョン中でセレクトボタン押下するとメニュー表示されるシステムメニュー機能追加
	+ システムメニューに言語の切り替え、フルスクリーンの切り替え、設定、リセット項目を追加
	* Xboxコントローラーなどで R1 ボタンが利かなくなるようなので11.12に変更したゲームパッドの動作を元に戻しました
	* 訓練場の種族選択メニューでカーソル位置を記憶するように修正
	* Resources/StringTable.xml, StringTable2.xml を修正
11.13
	- Player.goForward() で前方に進んだ場合、移動先でイベントが発生しないバグ除去
	- マップエディタでスクリプト実行時にエラー発生したときに表示される行番号がずれてしまうバグ除去
	- プロジェクトのエクスポートで出力したフォルダに Game.ini が無い場合、画面サイズが復元されないバグ除去
11.12
	+ Game のコンフィグにリセットと言語切り替えのキーボードショートカットを追加
	* Game 右クリックメニューの Language Setting を Switch Language に変更
	* クラスに ID を付与
	* Resources/StringTable.xml の書式を変更し修正
	* ゲームパッドによって R1 ボタンの位置が L2 に配置されることがあるため、L2 も R1 と同じ動作をするように修正
	- msg("text", x, y, width, height) で 高さが十分にない場合、メッセージが表示されなくなるバグ除去
11.09
	* 敵の名前の末尾が半角英数字の場合、末尾に付与されるアルファベットの前にスペースを挿入するように修正
	* 戦闘中にブレス攻撃を受けたときなど、メッセージウィンドウを拡大しないでスクロールするように修正
	- 戦闘中で睡眠などの動けない状態異常時、行動による回復が発生しないバグ除去
11.07
	+ データベース ＞ システムの設定を開く... に Auto Save 項目を追加
	* Game.exe の起動時、ウィンドウ下部がタスクバーに隠れるサイズの場合、隠れなくなるように修正
11.06
	+ アイテムに SP を設定できる機能追加
	+ 装備しているアイテムの SP を発動できる機能追加
	+ スクリプトに PlayerCharacter.addParam() を追加
	+ スクリプトに PlayerCharacter.changeClass() を追加
	+ Resources/StringTable.xml, Resources/StringTable2.xml で以下のものなどを追加
	<string id="Will you invoke the special power\nof your [item]?" text="あなたの　[item]　の\nちからをつかいますか？" />
	<string id="* Equipped *" text="＊　みにつけています　＊" />
	<string name="* Equipped *">* Equipped *</string>
	<string name="Will you invoke the special power\nof your [item]?">Will you invoke the special power\nof your [item]?</string>
	* エンカウント率の式を二項分布に近づけるように変更
	* Resources/BuiltinClass.xml を更新
	- 装備の挙動がおかしくなっていたバグ除去
11.01
	* アイテムの能力値、攻撃回数の範囲を0〜255から -99〜99 に変更
10.31
	- 攻撃で灰などの死亡フラグがある状態になった時、状態変化を示すメッセージが表示されないバグ除去
	- エネミーのデータベース切り替え時、リスト先頭のエネミーが非選択の状態になるバグ除去
10.30
	+ エンカウント率をマップごとに設定できる機能追加
	+ Resources/StringTable.xml, Resources/StringTable2.xml で以下のものを追加
	<string id="Maintain Aspect Ratio" text="アスペクト比を維持" />
	<string id="UNLEARNED SKILL" text="　−−　？　−−　" />
	<string name="One Enemy">One Enemy</string>
	<string name="One Character">One Ally</string>
	* Resources/StringTable.xml, Resources/StringTable2.xml で未使用なものを複数削除し、Languages/Japanese.txt に移動
	* 宿屋でキャラのフォーカスが必要に応じて移動するように修正
10.29
	+ Resources/StringTable.xml を以下の項目追加
		<string id="* Anything else *" text="＊　ほかに　ごようは　ございませんか？　＊" />
		<string id="* You bought the last one *" text="＊　これは　さいごの　ひとつですよ　＊" />
	+ Resources/StringTable2.xml を以下の項目追加
		<string name="* Anything else *">* Anything else *</string>
		<string name="* You bought the last one *">* You bought the last one *</string>
	- 商店でメッセージの一部が表示されなくなるバグ除去
10.25
	+ アイテムとスキルのデータベースにフィルタ機能追加
	+ デバッグにキャラクタの設定追加
	* アイテムやスキルの名前が画面に収まらない場合、フォントサイズを小さくして収まるように修正
	* Languages/Japanese.txt を修正
	- データベースでコンボボックス選択後にエラーが発生するバグ除去
10.17
	+ PNG のアルファ値に対応
	- デバッグ戦闘などで選択した敵のIDとリスト順が違う場合、戦闘時に異なる敵が出現するバグ除去
10.13
	+ 属性、状態にアイコンを設定できる機能追加（ショップでのみ表示）
	+ Graphics/System/icons.png を追加
	- 宝箱解除時に罠が間違っていた場合、高確率で開封できてしまうバグ除去

9.25
	+ 計算式データベースを追加
	+ クラス別の攻撃回数を設定する機能追加
	* 動画再生の一時停止は[Z][X][Space][Enter][Esc][〇][×][START] 、一時停止中[Esc][×]でスキップができるように修正
	* 逃走確率を100％から本家と同じ式に変更
	* Languages/Japanese.txt, MenuJapanese.xml を修正
	- コマンドで「ならびかえ」をした後、パーティのメニューのキャラ名が更新されないバグ除去
4.10
	+ スクリプトに Player.getPlayerCharacter() を追加
	+ スクリプトに PlayerCharacter を追加
	* Resources/BuiltinClass.xml を更新
3.28
	* スクリプトの battle 関数で引数を省略または負数を指定した場合、ランダムエンカウントするように修正
3.25
	+ スクリプトデータベース追加
	+ アイテムテーブルのトラップ発動時に宝箱の中身を入手できるか設定する機能追加
	+ アイテムテーブルのトラップ発動時に実行するスクリプトを設定できる機能追加
	- Audio/SE の量子化ビット数が８で音量が１００未満の時、音量が正しく反映されないバグ除去
3.07
	* ダンジョン内でメッセージウィンドウなどの下に透過して表示される枠線を表示しないように変更
3.05
	* キャンプで呪文を唱えるとき、リスト内の呪文が使用できない場合、無効状態になるように変更
	* 戦闘中のみ右ボタンでメッセージの文字送りができるように修正
	* 訓練場などの名前入力ウィンドウに表示される内容を変更
	* StringTable マネージャの全角変換使用時、[] で囲まれた箇所を除外するように修正
3.02
	+ 訓練場などでキーボードから文字入力できる機能追加
2.28
	* 訓練場で年齢にボーナスを振り分けるとき、左右キーと減少・増加が一致するように修正
2.27
	+ 光源魔法に 1/2 ドア探知率、シークレットドア探知率、ダークゾーンでの光源値減少数(２５５未満で可視化)を設定できる機能追加
	+ クラスデータベースにシークレットドア探知レベルの設定機能追加
	* Resources/StringTable.xml, StringTable2.xml と Languages/Japanese.txt を修正
	* 訓練場で年齢を増やせるように修正
	- スクリプトで比較演算子使用時にエラーが発生するバグ除去
2.22
	+ スキルデータベースに光源魔法を設定できる機能追加
	※ダイスの効果値が光源値に加算され、２５５以上になると永続効果になります。特徴は以下の通りです。
	　・1/2  ドアが可視化
	　・ダークゾーン、町へ戻る、冒険を再開などで光源値がリセット
2.19
	+ Locale クラスをスクリプトに追加
	+ System.toggleLanguages() をスクリプトに追加
	* Resources/BuiltinClass.xml を更新
2.18
	* Data/StringTable.xml, StringTable2.xml の name 属性内の特殊文字 apos を ' に変更
	* Resources/StringTable2.xml を修正
	* StringTable.xml 内の誤字「* Eqquiped *」を「* Equipped *」に修正 
	* フルスクリーン時、最前面に表示しないように変更
	* フルスクリーン時、フォーカスがなくなってもウィンドウモードに戻らないように変更
	- 動画再生時、フルスクリーンが解除されるバグ除去
2.17
	+ 状態データベースにメッセージを変更できる機能追加
	+ キャラの初期名に第二言語を設定できる機能追加
	+ 動画の右クリックメニューを追加
	* 動画の再生後に終了するように修正
	* 動画再生中、Enter, Space など押下で一時停止・再生を切り替えるように変更
	* Resources/StringTable.xml, StringTable2.xml、Languages/Japanese.txt を更新
2.14
	+ playVideo() をスクリプトに追加
2.13
	+ System.isLanguagePrimary() をスクリプトに追加
	+ イベント名とマップ名の第二言語に対応
	+ エディタの Event タブから名前を設定できる機能追加
2.11
	+ NPC 第二言語に対応
	+ MessageTable クラスをスクリプトに追加
	+ データベース ＞ MessageTable を開く... メニューを追加
		※使用するには Languages/MenuJapanese.xml を上書きしてください。
2.07
	+ 第二言語で使用される Resources/StringTable2.xml を追加
	+ データベース ＞ StringTable マネージャを開く... にサブメニューを追加
	+ データベースで第二言語選択時に表示されるテキストを設定する項目追加
	+ システムの設定に「第二言語に対応」項目追加
	+ StringTable マネージャのテーブル右クリックメニューに項目追加
	* StringTable マネージャの候補表示ボタン押下時、テーブルに存在しない候補だけ表示するように変更
	* Resources/StringTable.xml、Languages/Japanese.txt, Languages/MenuJapanese.xmll を更新
	* データベースの出力形式が .dat から .xml に変更
	* マップを開く呪文で上部にタイトルが表示されなくなっていたのを修正
2.05
	- エネミーへの攻撃時にクリティカルが発生しなくなっていたバグ除去
2.01
	+ データベース ＞ システムの設定を開く... を追加
	+ 所持アイテム数を最大１６まで設定できる機能追加
	+ Game.exe 起動時に表示されるタイトルを設定できる機能追加
1.31
	+ フルスクリーン時の画面解像度を維持するか 640x480 にするか選択できるオプション追加
	- イベント実行中にロードした時、タイミングが悪いとエラーが発生するバグ除去
	- ゲームパッドのR1ボタンでカニ歩きができないバグ除去
1.28
	* キャンプで呪文を唱える時に表示されるウィンドウを変更
	* アイテムや呪文を唱えた後に表示されるメッセージをキャンセルボタンで消せるように修正
	* Resources/StringTable.xml を修正
1.26
	* GameData.gamedata を暗号化するように変更
	- GameData でデバッグモードが使用できてしまうバグ除去
1.25
	+ マップを開く呪文で表示されるマップ一覧に表示される名前を設定できる機能追加
	* ショップで装備時の能力値変化量が表示されるように変更
	* Languages/Japanese.txt を更新
1.24
	+ ダンジョン中の地図表示で背景画像を設定できる機能追加
	+ ダンジョン中の地図表示でイベント名やワープの遷移先などの情報を表示できる機能追加
1.22
	+ 種族に「のろいをとく」の対象になるかを設定する Undead フラグを追加
	- 「のろいをとく」で NullPointerException が発生することがあるバグ除去
1.21
	* 商店でのアイテム表示内容に状態や能力値を含めるように変更
	* 初期アイテム数が２５５の場合、ロード時にストック数が回復するように修正
	- ロード時にタイミングが悪いとゲームオーバー画面に遷移してしまうバグ除去
1.19
	* フルスクリーン時にモニターのサイズが正確に取得できない場合への対応として、
	２つの方法でモニターサイズを取得し、小さい値をモニターサイズにするように修正
	- 戦闘中、状態異常になっているキャラの選択したコマンドが表示されないバグ除去
1.18
	+ Config にウィンドウのアルファ値を設定できる機能追加
	- NPC データベースで Give and Take の条件に異なるアイテムが表示されてしまうバグ除去
1.17
	+ キャラデータベースに所持アイテムとスキルの設定機能追加
	* キャラデータベースでを編集した内容の保存先を Data/Save.xml から Data/CharacterList.xml に変更
	* GameData 出力時、Data/CharacterList.xml を GameData.gamedata に埋め込み、Data/Save.xml がない場合の初期設定として読み込めるように変更
1.16
	+ NPC の追加・削除機能追加
	+ Player.addGold を追加
	* Resources/BuiltinClass.xml を更新
	* マップ表示時、未踏のマップを表示しないように修正
	- エフェクト実行中にロードなどするとエフェクトがそのままになってしまうバグ除去
1.15
	+ NPC の既読状態などを Save.xml に保存する機能追加
	+ NPC のメッセージに ID を付与
	* 戦闘中にセーブができないように変更
	* 商店でアイテム識別時や呪い解除時に所持金がない場合、メッセージが表示されるように修正
	- Save.xml の ItemStock と Flags 要素で id がないため、データの並び順を変えたときに位置が参照されてしまうバグ除去
1.13
	+ コンフィグに SE の音量設定機能追加
	* GameData 出力時、Game.ini ファイルを GameData.gamedata に埋め込み、Game.ini がない場合の初期設定として読み込めるように変更
	- GameData 出力時、エネミーのブレス設定が反映されないバグ除去
	- デバッグ戦闘でエネミーの id とインデックス値が異なる場合、異なるエネミーが出現してしまうバグ除去
1.12
	+ NPC に条件フラグを設定できる機能追加
	+ Languages/MenuJapanese.xml に「NPC ダイアログを開く...」 メニューを追加
	- GameData 出力時に状態データベースが正しく出力されないバグ除去
	- StringTable.xml の string 要素の属性に &amp; が含まれる場合、GameData 出力時に正しく読み込めなくなるバグ除去
1.10
	+ NPC にアイテムを渡す機能追加
1.09
	* ogg の再生を別スレッドで行うように変更
1.08
	* リソースマネージャで SE に mp3 をインポートできるように修正
	- OS の言語設定で日本語以外を設定している場合、文字化けしてしまうバグ除去
1.07
	+ NPC にメモ機能追加
	* その他バグ除去
1.06
	+ マップの編集ダイアログでフォグの色を設定できる機能追加
	* フルスクリーン時にモニターの解像度を維持するように変更
	* 「アスペクト比を維持」にチェックが入った状態で Game のウィンドウ内に画像をドラッグ＆ドロップすると黒い部分に画像が表示される機能追加
	* 「アスペクト比を維持」にチェックが入っていない状態でフルスクリーンにした場合、モニター全体に表示されるように変更
1.04
	* マップ編集ダイアログで Graphics/Dungeon 内のすべての画像を列挙するのをやめ、リソースマネージャで床、天井、壁、扉の画像を管理するように変更
	
	- マップエディタのイベント編集ダイアログで名前が変更できないバグ除去
	- Game で転移呪文後にコマンドウィンドウが開いてしまい、イベントが２度実行されてしまうバグ除去
1.02
	+ マップエディタにイベント一覧をを表示する Event タブを追加
	* マップ移動時に背景画像を固定するかを設定する項目をリソースマネージャに追加
	* 床・天井の透過色を、背景画像がなければ RGB(0, 0, 0)、あれば背景画像の中央位置のピクセルになるように変更
	- マップエディタのマップ編集ダイアログで天井画像をなしにした場合反映されないバグ除去
	- リソース管理ダイアログで Backgrounds のインポートができないバグ除去
	- エネミーからの攻撃が複数回ヒットしたときにダメージが変化しないバグ除去
1.01
	* 能力値変化のスキルがフィールドで使用できる場合、重ね掛けができないようにし、戦闘終了後も効果が持続するように変更
	- スキル使用時、与えるダメージがゼロの場合に回復したと表示されバグ除去
2021
12.30
	+ NPC からアイテムを購入する機能追加
	- エリアリストのプロパティ変更が反映されないバグ除去
12.27
	+ NPC のメッセージで行の先頭にタブ文字がある場合中央寄せする機能追加
	+ NPC にお金を渡した額でメッセージを変える機能追加
	* 冒険再開時にキャンプ画面を開くように変更
12.26
	+ データベースに NPC を追加
	+ Player.encounter(NPC_ID) を追加
	* Game を Unicode バージョンに変更
	* Resources/StringTable.h を更新
12.23
	* 行動のデータベースを２５５まで拡張
	* 行動に ID を付与
	- 冒険を再開するときに一歩前進してしまうバグ除去
12.22
	* 行動のデータベースを６４まで拡張
	* エリアリスト内のエリアを複数選択でプロパティを一度に適用できるように修正
	* ライン描画ツールの機能を改善
	* エディタ終了時に選択されたレイヤーが起動時に反映されるように変更
	- デバッグの戦闘テストでエラーが発生するバグ除去
12.21
	+ データベースのデータをコピー・ペースト・クリアできる機能追加
	* Game の Town.txt などのスクリプト実行時、 スクリプトが最後まで実行されたのと同じフレームで onEnterFrame を呼び出すように変更
	* マップのタイル選択ウィンドウ内のカーソル位置がスクロールに追従するように修正
	- エリアの追加時に番号順に並ばないバグ除去
12.20
	* Game で宿泊時に回復するHP量を、３から宿泊者の最大HPの１０％に変更
	- イベントエディタでスクリプト実行時、冒頭と末尾に挿入するデフォルトスクリプトが反映されていないバグ除去
	- エディタでプロジェクトエクスポートした Game でタイル情報が反映されないバグ除去
	- エディタでエリア設定時、リスト末尾のエリアを削除したときエラーが発生するバグ除去
12.19
	* マップエディタのエリア設定機能を見直し、不定形でも対応できるように変更
12.18
	+ マップエディタのマップ内にフォーカスがある場合、キーボードの０〜９入力でタイルを切り替えられる機能追加
	* マップエディタのマップ内で壁床編集時に右クリックした場合の動作を以下のように変更
	マウス下のタイルが現在選択中のタイルと同じ場合：壁床をタイル０に設定
	マウス下のタイルが現在選択中のタイルと異なる場合：選択中のタイルをマウス下のものに設定
12.17
	+ Languages/MenuJapanese.xml に「レイヤー」を追加
	※ レイヤーをショートカットで切り替えられるようにしました。
	- エディタでイベントレイヤー選択時、タイルの設定が反映されていないバグ除去
12.16
	- データベースのエネミー画像のリストが読み込まれなくなっていたバグ除去
	- データベースなどで日本語が入力できなくなっていたバグ除去
12.15
	+ デバッグ機能などが使用できないデータを出力する、プロジェクトのエクスポート機能追加
	+ Languages/MenuJapanese.xml に「プロジェクトをエクスポート...」を追加
	* データベースのアイテムとスキルの説明欄で Enter キーで改行を入力できるように修正
	* データベースのアイテムとスキルの説明欄でペーストした時の仕様を変更
	- エディタで Player.goForward() が未定義になっていたバグ除去
12.10
	- デバッグメニューの転移でエラーが発生するバグ除去
12.09
	+ デバッグメニューにイベントリストを追加
12.08
	+ Game の右クリックメニューに「スクリプトエディタを開く...」 を追加
	+ デバッグメニューに完全回復を追加
	* デバッグメニューの転移で位置指定できるように修正
	- デバッグメニューのフラグ管理でフラグ名が文字化けするバグ除去
12.07
	+ タイルの設定で共通スクリプトにフッターを記述できる機能追加
	* マップ保存時に Projects フォルダ内に生成される xml ファイルを Shift_JIS から UTF-16 に変更
	- イベントエディタでコード補完時に説明が表示されないバグ除去
12.05
	+ イベントエディタのトリガーに「決定ボタン/Action Button」を追加
	* 文字入力で全角英数字だったのを半角で入力するように変更
	* 文字入力で大文字小文字などを切り替えられるように変更
	* イベント出現条件に設定する条件をチェックボックスでオンオフできるように修正
	* フラグ ID が 0 の場合も使用できるように修正
12.03
	+ Player.goForward 追加
	* イベントに当たり判定があり、向きを持ち、かつトリガーが On Collision の場合、プレイヤーがイベントの向きに移動しようとしたときにのみイベントが発生し、当たり判定が行われるように修正
	- スクリプトのグローバル関数を呼び出す度にスタック位置が１つ増えてしまうバグ除去
	- mp3 に画像などが含まれている場合、再生できなくなるバグ除去
12.01
	+ Resources/StringTable.h の内容を Data/StringTable.xml に記述した内容で上書きできる機能追加
	+ データベース ＞ StringTable マネージャを開く... を追加
		※使用するには Languages/MenuJapanese.xml を上書きしてください。
	+ マップ編集ダイアログに「マップ表示可能」を追加
11.30
	+ Array に indexOf を追加
	+ ２番目の引数に答えを設定できる riddle 追加
	+ 右クリックメニュー ＞ Window Size ＞ アスペクト比を維持 を追加
	+ 右クリックメニュー ＞ Window Size にを追加
	+ マップ編集ダイアログに転移可能を追加
	- 画面解像度が1.6から変更できなくなっていたバグ除去
	- 視界距離が長い場合、ダークゾーンの先にあるマスが表示されてしまうバグ除去
11.29
	Audio/BGM 内に自作曲の battle.ogg, fanfare.mp3 を追加
11.27
	+ クラスの盗賊フラグを廃止、クリティカルフラグを代わりに追加
	+ クラスに盗賊レベルを追加
11.25
	+ アイテムとエネミーにクリティカルヒットフラグを設定できる機能追加
	+ Audio/SE に critical.wav ファイルを追加
	* SE の再生で PlaySound の使用をやめ、独自で処理するように変更
	* クラシックの戦闘画面表示を修正
	* Resources/StringTable.xml を修正
11.22
	+ スクリプトの関数に pit() を追加
	+ マップエディタのマップ編集ダイアログでレベルを設定する機能追加
11.19
	+ Game の右クリックメニューに Config を追加
	+ BGM, BGS の音量設定を Config に追加
	* イベントエディタで画面がちらつかないように修正
	* Resources/BuiltinClass.xml を更新
	* スクリプトの修正
11.12
	+ イベントを配置した向きに応じてイベントが発生する機能追加
	+ Player.removeGold() 関数を追加
11.11
	+ デバッグにテレポート項目追加
	- 攻撃を受けたときに状態異常が回復した場合、攻撃した側の状態が回復したと表示されてしまうバグ除去
11.08
	- 「画像からマップを生成...」 が正常に動作しなくなっていたバグ除去
11.05
	* ジョイスティックのアナログスティックを少し傾けただけでは反応しないように修正
	* ジョイスティックのアナログスティックがオンの時でも十字キーが有効になるように修正
	* 環境によっては音が変になるので、 MIDI ファイルでGSリセット、XGリセットを使用できないように修正
	* 特定の MIDI ファイルを再生すると音が変になるバグ除去
11.04
	* 宝箱の罠解除時に発動するトラップの対象者を選択できるように修正
	- 宝箱の罠解除時に表示されるリストがパーティウインドウ下に隠れてしまうバグ除去
	- アイテム使用時や宝箱開封失敗時に発動するスキルが、使用者・開封者が沈黙している場合に発動しなくなるバグ除去
11.03
	- エネミーに設定した後続グループが出現せず、後続グループの後続グループが出現してしまうバグ除去
11.02
	+ マップを HTML に出力する機能追加 
	+ Resources/Settings.xml を追加
	* Languages/Japanese.txt を修正
	- 寺院で状態異常が回復しないバグ除去
11.01
	* Audio/BGM 内の音声ファイルを再生する時に拡張子を指定しない場合、mid, mp3, ogg の順で BGM ディレクトリ下のファイルを検索・再生するように変更
10.26
	* エネミー、エネミーテーブルに ID を付与
10.19
	* AC の表示が更新されないバグ除去
10.18
	* メッセージウィンドウ内のテキストが領域外にはみ出す場合、区切り文字以外でも折り返すように修正
	* Resources/StringTable.xml を以下のように修正
		修正：<string id="ShopWhoWillEnter" text="だれが　はいりますか？" />
10.17
	* じゅもん選択時に対象、属性、状態変化などの情報を表示するように修正
	* Resources/StringTable.xml を以下のように修正
		追加：StringTable.xml 内の最初の空白行まで
		削除：<string id=" None" text=" そうびしない" />
10.13
	* 状態異常に対する抵抗がせいめいりょくに応じて変化するように修正
	※ せいめいりょくが15 以上で１上がる度に抵抗が５％上昇
10.12
	- データベースの ItemTable で適用ボタン押下時や切り替え時、罠のチェックが外れてしまうバグ除去
10.11
	+ アイテムに力、知恵などの能力値を設定できる機能追加
	- データベースの Action に設定した値が Skill の順番を変えた場合に反映しなくなるバグ除去
10.07
	* スキルに設定した力、知恵、などの能力値増減効果がゲームに反映されるように修正
	* 呪文無効化率の上限を255%までに変更
	* 呪文の威力、無効化率などが知恵、信仰心に応じて変化するように修正
	※ 詠唱者の呪文の種別に応じて、魔法使い系なら知恵、僧侶系なら信仰心が15 以上で１上がる度に無効化率が５％減少、ダイス目がよくなるなど。
10.03
	+ 戦闘終了時に再生する Audio/BGM/fanfare.mid を追加
	+ データベースの Class 編集中、スキルの位置をドラッグ＆ドロップで入れ替えられる機能追加
	- データベースの Class 編集中、スキルの削除が正しく機能しないバグ除去
10.01
	- State に設定したフラグが変更できなくなるバグ除去
5.11
	+ マップエディタのメニューに「フラグマネージャーを開く」を追加
	+  Audio/SE の効果音で mp3 を使用できる機能追加
	+ くんれんじょうでキャラを全削除したあとに決定ボタンでセーブデータ初期化機能追加
	* ボーナスポイントを年齢に振り分けられるように修正
5.05
	+ BGM・画像素材を追加
	* Scripts フォルダ内のスクリプトを修正
	-共通スクリプトが機能しないバグ除去
5.01
	+ ゲームの右クリックメニューに戦闘スタイルなどを変更するメニュー追加
	+ ゲームの「しきべつする」コマンドでパーティ内アイテム全てを識別できる機能追加
	-マップエディタで編集時、画像ファイル名に「,」が含まれると画像を設定できなくなるバグ除去
2.14
	* スキル、アイテムの並び替えができるように ID を付与
	* ショップで選択アイテムの詳細情報が表示されるように修正
	- 戦闘中にＡＣ変更呪文が反映されないバグ除去
2.01
	+ Game の右クリックポップアップメニューにトレースペインのオンオフする機能追加
	+ Game ダンジョン内で地図を開くとき、階層構造を維持して表示する機能追加
	+ 画像をマップに変換する機能に壁の厚さを設定して扉も自動生成できる機能追加
	+ タイルの設定にデフォルトの表示位置を設定できる機能追加
	+ 扉画像の背景がない場合、壁画像と合成して表示する機能追加
	* スクリプトの setLocation の第一引数を数値にすると階層の上下移動するように修正
1.23 ver2.02
	+ スクリプトエディタにコメントアウト機能追加 Ctrl+/
	+ スクリプトエディタのコード補完機能に詳細情報を追加
	+ スクリプトエディタに、ダブルクオーテーションで囲まれた部分にペーストすると自動で成形する機能を追加
	+ Resources フォルダに BuiltinClass.xml ファイルを追加
	+ スクリプトに Player.removeItem() 関数を追加
	* ダンジョン内のキャラクターが職業を変えられないように修正
	- 訓練場で既に存在するキャラクタ名を入力した後画面が遷移しなくなるのを修正
2020
12.20
	- 戦闘終了時に経験値がおかしくなるバグ除去
2019
4.07
	+ スクリプトに riddle() グローバル関数追加
	- アイテム使用時、処理が進まなくなるバグ除去
3.27
	+ ジョイスティック対応
	* 装備しているアイテムを売却可能に変更
3.25
	+ エネミーにエナジードレインレベル設定機能追加
	* 未識別のアイテムを 1/4 の価格で売却できるように変更
3.20
	+ エネミーにブレス属性設定機能追加
	* AC 変化スキル使用時のメッセージを表示しないように変更
3.09
	+ 在庫管理、宿、寺院、商店をデバッグメニューに追加
	* アイテムDBのストック数変更を Game.exe のセーブデータに反映しないように変更
	* Resources/StringTable.xml 更新
	- 戦闘中全員が動けなくなるとクラッシュするバグ除去
3.06
	+ Shift キーと左右下キーで、カニ歩き、後退できる機能追加
	* Action データベースで設定した敵の行動が正しく反映されるように修正
3.05
	* 攻撃の射程を修正
3.01
	+ デバッグメニューに Battle を追加
	+ ステート０（しぼう）状態抵抗率が１００％の種族に有効なディスペル機能追加
	- 戦闘中にACが元に戻ってしまうバグ除去
	- 戦闘後ルームが削除されないバグ除去
2.27
	+ クラス適性対象を指定できる機能追加
	- 描画バグ除去
2.26
	+ エネミーグループの最大数を４に修正
	+ エネミーDBに仲間を呼ぶフラグを追加
	* Languages/Japanese.txt 更新
	- マップ移動時に、パーティーの位置がリセットされないバグ除去
	- 呪文選択後、呪文リストのフォーカスが残ってしまうバグ除去■
2.22
	+ ダンジョン中 S キーで切り替えるステータスウィンドウを新たに追加
	+ Player.stepBack() クラスメソッドを追加
	+ Direction.NORTH 等 定数追加
	* キャラクターの名前を8文字まで設定できるように変更
	* Resources/StringTable.xml を大幅に修正
	- EnemyArea の設定が反映されないバグ除去
2.15
	+ スクリプトに yesno(message:String): Boolean グローバル関数追加
	* Game.exe のデフォルトフォントを MS Mincho に変更
2.12
	- Enemy Layer マップ右クリックメニューが開かなくなっていたバグ除去
2.09
	+ マップエディタのプロジェクトツリーのアイテム位置をドラッグ＆ドロップで移動できる機能追加
	+ マップエディタのプロジェクトツリーにフォルダを作成できる機能追加
	+ BGS を設定できる機能追加
	+ 足音を設定できる機能追加
	+ ResourceManager ダイアログで Import すると、ファイルをフォルダにコピーする機能追加
	- マップエディタでダンジョン読み込み時、画面がチラつくバグ除去
2.06
	+ ステータスウィンドウに「そうび」を追加
2.05
	* マップエディタのデータベースダイアログ表示速度改善
	- アクセサリが装備できないバグ除去
2.04
	* クラスチェンジ後、呪文使用回数を最低限まで低下するように変更
	- クラスチェンジで経験値が初期化されないバグ除去
2.03
	- 冒険再開時 HP がおかしくなるバグ除去
2.02
	+ 盗賊能力をクラスに設定できる機能追加
	* Char に不正なデータが設定されないように修正
2.01
	* クラスのスキルを100個まで登録できるように修正。■■■データがでたらめになっているのでクラスの再設定が必要■■■
1.26
	+ マウスで操作できるコントローラーを追加
1.24
	マップエディタ
	+ 可視距離を設定できる機能追加
	+ イベントの Priority を Ceiling にすると天井に四角が表示される機能追加
	* ステータスバーに現在選択中のタイル情報を表示するように変更
	- スキルダイアログで使用時の効果を設定すると、スペシャルパワーにも設定されてしまうバグ除去
	ゲーム
	*  「どうぐ」コマンドを「みる」へ移動
1.22
	- キャンプ終了時のイベントチェックでイベントが2度発生するバグ除去
1.20
	+ レイヤー１で使用する、タイルの0番目の色を自動でエディタの背景色にする機能追加
	+ マップエディタに表示メニュー追加
	* ２Dマップのグリッド表示を修正
	- MP3 のループ再生ができないバグ除去
	- マップエディタでイベント作成時、画面が更新されないバグ除去
1.19
	+ Game.exe のウィンドウ上に音声ファイルをドラッグ＆ドロップすると再生できる機能追加
	+ ダンジョンで、床と天井のテクスチャを設定できる機能追加
	+ Game.ini 編集でカーソルの点滅をオンオフできる機能追加
	+ Graphics/Images フォルダを追加
	+ Graphics/Dungeon に floor.png を追加
	* Graphics/Dungeon の wall.png, door.png を修正
	* Graphics/System に system.png を修正
	* Script/Global.txt を修正
	* Script/Town.txt を修正
	* Script/Maze.txt を修正
	* 宿に泊まるとHPが 1 回復するように修正
	* レベルアップ時の HP の計算式を修正
1.18
	- IME 日本語入力で文字化けしてしまうバグ除去
1.16
	- Game のスクリプトで String 型を Number 型に変換時、少数点以下が無効になるバグ除去
	- Char データベースに設定したデータのおかしくなるバグ除去
1.15
	* 武器の ST 値を攻撃力に加算しないように修正。ST 値を命中率にのみ関連する値になるように変更
	* Char データベースに設定したデータを保存するように変更
	- マップエディタの右クリック置換でUndoが記録されないバグ除去
1.13
	+ Languages フォルダ追加
	+ Game.ini ファイルを編集すると フォントや解像度を変更できる機能追加
	+ ダンジョン中で W キーを押していると壁抜けできる機能追加
2011
6.25
	ダンジョン中で Ctrl+D ボタンを押すと、デバッグウィンドウを表示するようにしました。
	ItemTable にお金を設定できるようにしました。
	State に NextState を付けました。しぼう状態を治すのに失敗したときにこの状態へ変化します。
	State に TempleBill を付けました。寺院で回復するのにかかるゴールドを設定します。
6.11
	識別コマンドを実装しました。
	宝箱の罠などを設定できるようにしました。
	Save.xml にセーブデータを保存するように変更しました。
	開発環境を Boarland から VC2005 に移しました。
2010
12.21
	壁の遠近感をだすグラデーション色に、背景画像の中央の色を使うようにしました。
12.08
	MapEditor で編集時に、床タイルを右クリックで置き換えていたのを、カーソル位置のタイルをコピーするように変更しました。
	eventFloor.png と floor2D.png を　Graphics/System/ フォルダに移し、マップの編集から変更できないようにしました。
	ダンジョン中の背景画像を Graphics/Backgrounds/ フォルダに移しました。
11.25
	音関連はすべて Audio フォルダに移動しました。
	画像関連は Graphics フォルダに移動しました。
	スクリプト編集時に、フラグを管理するダイアログを追加しました。
	調べるでイベントを実行トリガーを追加しました。
	setFlag() で getFlag(id) でフラグを操作できるようにしました。
11.22
	Enemy 画像ファイルの読み込みと設定を Menu > Database > ResourceManager でできるようにしました。	
	これに伴い、Lists/EnemyImages.txt に手動で設定していた物は Data/ResourceManager.xml に保存されるようになりました。
10.23
	GUI をグラフィカルに変更しました。
	マップ上のマウスカーソルを表示するようにしました。
10.09
	OGG ファイルが再生できるようになりました。
	zip のファイルサイズが３ＭＢを超えたためサイトにアップロードできなくなったので、
	MapEditor と Game の２つにファイルを分けました。
	MapEditor の中に Game.exe を入れてください。
10.05
	マップを消去したときに、ツリーのルートにフォーカスが移ると、ルートの名前のマップファイルを出力してしまうのを直しました。
	マップ名を編集した後に、編集前のマップ名を付けるとそのファイルが消えてしまうのを直しました。

9.19
	すばやさが正しく反映されていないのを直しました。
	Scripts/Town.txt で onEnterTown 関数を addEventListener 関数で登録するように変更しました。
9.16
	名前の入力で英文字が入力できるようになりました。
9.15
	魔法の習得率を、ちえ、しんこうしんによって変動するようにしました。
	キャラクターを続けて作成するときに、前のデータが残って正しく設定できていないのを直しました。
9.12
	床タイルの塗りつぶしができるようになりました。
	msg 関数で表示するメッセージウィンドウの高さを自動調整するようにしました。

9.11
	Scripts/Town.txt で町のシーンをプログラミングできるようにしました。
	menu 関数でキャンセルボタンを押すと -1 を返すように変更しました。
	StringTable クラスを追加しました。
	save, load 関数を追加しました。
9.07
	スクリプトを改善中です。
8.26
	ScriptEditor に選択テキストのドラッグ＆ドロップ機能を付けました。
	文字を描画するとき、ユニコード文字に変換してから描画するようにしました。
8.24
	ScriptEditor で Find/Replace 機能と、Outline 機能を付けました。 
8.22
	Script のソースコードを見直して色々バグを取りました。
	Script コンパイル時に表示されるエラーをダブルクリックすると、そのエラーがある行を選択するようにしました。
8.17	ver 1.65
8.14
	Resoures/StringTable.xml でテキストを置き換えられるようにしました。
	ショップにアイテムのストックがある場合は、宝箱から入手するアイテムは鑑定済みになるようにしました。
8.12
	ファイルを読み込むとき、エンコード判定で失敗して正しく読み取れないバグを直しました。
	持ち物がいっぱいのキャラにアイテムを渡すと消えてしまうバグを直しました。
8.01
	ツールバーのスライダーでイベントの透明度を変更できるようにしました。
	Ctrl+Shift+S または File メニューからマップを画像で保存できるようになりました。
7.30
	Ctrl+S でマップデータのセーブができるようになりました。
	JScript クラスを追加しました。NT 系の OS でのみ使用できます。 
	Audio クラスを追加しました。
7.11
	jpeg 画像に対応しました。

6.01
	0 番目の壁タイルも描画するようにして、グリッドにも使用できるようにしました。
	常に最前面ボタンを追加しました。
	gif 画像に対応しました。

5.29	ver 1.6
	Game.ini で Window の AlphaValue, BackgroundColor を設定できるようにしました。
	Tool > TileSettings でタイルの設定ができるようになりました。
	設定内容は Data/EventTile.xml に保存されます。

	Is Dark Floor にチェックすると、暗闇タイルとして使用します。
	Is Warp Floor にチェックすると、ワープタイルとして使用します。
	Visibile on the Map にチェックすると、地図上に表示されます。
	Visibile on the Floor にチェックすると、ダンジョンの床に表示されます。
	Use Edit Dialog にチェックすると、マップエディタで編集することができます。
4.27
	シフト機能を付けました。エディタにフォーカスがあるときに、Shift+十字キーでシフトできます。
4.25
	Tool に PhotoMapping 
メニューを追加しました。
	仲間が死ぬと戦闘中にメッセージが進まなくなるバグを直しました。

4.23	ver 1.5

4.04
	Text To Wav を起動した状態で戦闘を終えると、宝箱を開けるシーンで英語を入力することによって
	アイテムの出現確率が上がる Word モードを付けました。
	マップエディタの Menu > Tool > TypingWord で Word モードで使う文を登録できるようになりました。

	使用するワードリストのファイルは Data/WordFileList.xml に記載されていて、
	Lists フォルダにファイル名.xml の形式で出力されます。

3.26	ver 1.4
	AC 計算のバグを直しました。
3.22
	スキルを使用時の動作が変なのを直しました。
	スキルの数を１００に増やしました。
	スキル SpecialType の移動魔法と地図の表示が機能するようになりました。
	State に has deadFlag 項目を付けました。
3.21
	ItemData に AT 最低攻撃回数 項目を加えました。
	ItemDialog の Strength ラベルを ST（STR修正値）に変更しました。
3.14
	16ビットのビットマップが読み込めるようになりました。
	透過色が設定された PNG ファイルが使用できるようになりました。
	Event, Area のコピー＆ペーストなどができるようになりました。
	イベントタイルでもダークゾーンの設定ができるようになりました。
3.11
	Windows Me でテキストエディタの表示がおかしいバグを直しました。
	描画時に内部で使用するビットマップを 32 ビットに変更しました。
	その結果 20FPS ぐらい動作が速くなりました。

	Scripts/Maze.txt の仕様が次の様に変わりました。
	１．「めいきゅうにはいる」を選択すると onEnterMaze 関数が呼ばれます。
	２．「ぼうけんをさいかいする」を選択すると onRestartAdventure 関数が呼ばれます。
	３．ダンジョン中で敵と遭遇すると、onEncount 関数が呼ばれます。

3.10
	データベースの項目をドラッグ＆ドロップで、順番を変えることができるようになりました。
	マップエディタでマップ編集ダイアログで OK した後に、画面内のキャラクターを動かすと、
	描画時に配列外アクセスをしてエラーが起こるバグを直しました。

3.07
	エネミー出現のエリアを作成できるようになりました。

3.06
	Item, Enemy データの最大数を 255 に変更しました。
	マップデータの回転、反射機能を付けてみました。
	ダンジョン中で右クリックメニュー > ReloadMap を選ぶと、マップデータの再読み込みができるようになりました。

3.05
	簡易的なフラグ管理用に IniFile クラスを追加しました。
	マップ中でもスクリプトの addChild/removeChild で Image object を「追加 / 取り除く」ができるようになりました。
	ワープ作成ダイアログの表示が変なのを直しました。
	シークレットドアを見つけたメッセージの後に移動できなくなるバグを直しました。
	Enemy 作成ダイアログの ItemTable のコンボボックスの内容がクリアされないバグを直しました。
2.28
	Scripts/BuiltinClass.xml を使ってスクリプト入力の補完機能を作りました。
	GameUtil.han2zen を StringUtils.han2zen に変えました。
	その他バグつぶしなどいろいろしました。

1.30
	ゲーム起動時に Scripts/Game.txt ファイルを読み込むようにしました。
	Game.txt と Ending.txt だけで使える描画関数などを加えました。
	Game.txt を使ってタイトル画面を作成しました。
1.26
	Ctrl + Space でコード補完機能を付けました。 
1.20
	スクリプトエディタにシンタックスハイライトなどの機能を付けました。
	Math クラスが完成しました。 
1.10
	Math クラスが使えるようになりました。
	EventEditor に Run ボタンを追加しました	

2009
12.20

12.01
	for while 文が使えるようになりました。

11.29	ver 1.38
	イベントの編集ができなくなっていたバグを直しました。
	イベントスクリプトの記述法が変わりました。
11.05
	MIDI の演奏を切り替えるときにタイムラグが生じるのを直しました。
	MP3 の再生がうまくいっていないのを直しました。
	マップ端の壁を置き換えた場合、反対側の端の壁も変更するようにしました。
10.30
	ライン描画ができるようになりました。
	Undo/Redo ができるようになりました。
10.27	ver1.35
	イベントのワープを、Ｗタイルを配置することで設定できるようにしました。
	クラスダイアログを更新しました。
10.23
	ＭＰをランクに応じた回数制にしました。
	スクリプト実行時にウィンドウを閉じると、たまにエラーが起こるバグを直しました。
10.15
	フロアタイルに設定していた、ダークゾーンを除く回転床などのイベントをイベントレイヤーに移しました。
	イベントを設定するとき、ウィンドウ左のタイルパネルから画像を選ぶようにしました。
	これに伴いフロアタイルの概念を変える予定です。
	Images/eventFloor.png 画像のタイルの意味は一番左から
	スクリプト、いしのなか、上り階段、下り階段、落とし穴、回転床、ワープ、未定、未定、玄室バトル
	という順です。
	今の所、スクリプトと回転床、玄室バトルが機能しています。

	1/2 の確率で表示するドアを作れるようにしました。シークレットドアの次のタイルがそれです。
	PNG で透過色が２５５に設定されている場合、画像左上ではなくその色を透過するようにしました。
	PNG の向きが横壁などの場合に上下が反転してしまうのを直しました。
	スクリプトを別スレッドで実行するようにしたので、予期せぬバグが起こるかもしれません。
9.23
	レイヤーの切り替えで描画するタイルの種類を変えるようにしました。

9.15
	スペースがマップの名前に含まれる時に、マップのツリーが保存されないバグを修正しました。

9.12
	道具の使用や魔法などで反映されていなかった状態異常などのデータを反映しました。

9.05
	PNG 画像が使えるようになりました。
	A キーで仲間を探すができるようにしました。
	Skill に Rank 項目を追加しました。
	Class に LevelUpHP, MP の項目を追加しました。

9.03	ver 1.2
	State に「Priority」と「町に戻ると回復する」の項目を付けました。
	「めいきゅうにはいる」を選ぶとき、Scripts/Maze.txt を読み込むようにしました。
	Item の 性別 と のろわれている の設定が反映されるようになりました
	どうぐが使えるようになりました。

9.02
	スキル使用時の状態異常の不自然さをなくしました。
	値段が 0 のアイテムは並べないようにしました。
	State の行動制限の「仲間を攻撃」「敵を攻撃」以外のデータが反映されるようになりました。
9.01
	スクリプトで同一のマップに移動する場合の時間がかからないようにしました。
	ならびかえコマンドを実装しました。
8.30
	フォルダ単位でマップを管理するようにしました。
8.16
	距離に応じて壁の照度を変えるようにしました。
	M キーを押すと、通過したマップを表示するようにしました。 

8.03	ver1.1
	ターン機能を付けました。
	暗闇機能を付けました。
	シークレットドアをＡキーで発見できるようにしました。
7.30
	属性有効度と状態抵抗のデータをＲａｃｅデータに集約しました。
	その他データベースのわかりにくそうな部分を変更をしました。
	パーティの最大人数を5人にしました。
7.25
	Game:
	一部の魔法が使えるようになりました。
	Ｂキーを押すとバトルができるようにしました。
	ホームページで公開している Text To Wav を起動している場合、喋るようにしました。
	その他、データベースをかなり変更しました。

	Editor:
	新たに敵出現率、玄室設定レイヤーを付けました。まだ機能はしていません
	Monsters フォルダ名を Enemies に変えました。
	Enemy の画像パスを Lists フォルダのリストで管理するようにしました。
	マップの設定に EnemyTable の項目を付けました。	

7.11	ver1.0
	ベータバージョンを取って正式にリリースをしました。
	イベントスクリプトを作成編集できるようにしました。.evt という名前のファイルで出力されます。
	描画処理の見直しをして、ＣＰＵ使用率を下げました。
	簡単なゲームを作成しました。Game.exe を実行すると遊ぶことができます。

6.23	ver1.5b
	サンプルゲームを追加

6.17	ver1.3b
	画像ファイルのフォルダを img フォルダから Images フォルダに変更しました。
	画像ファイル名を変更してドアの画像を加えました。
	wall.bmp > wall2D.bmp
	floor.bmp > floor2D.bmp
	1front.bmp > wall.bmp
	door.bmp
	透過色は wall.bmp と door.bmp では画像左上の色が透過されます。

2.14	ver1.0b
	ベータ版を公開。